%define snap r373875

%define _requires_exceptions perl(Apache2::Const)\\|perl(ModPerl::Config)
%define _provides_exceptions perl(HTTP::Request::Common)
%define module	Apache-Test

Summary:	Test.pm wrapper with helpers for testing Apache
Name: 		perl-%{module}
Version: 	1.29
Release:	%mkrel 3
License:	GPL or Artistic
Group: 		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source0:	http://search.cpan.org/CPAN/authors/id/G/GE/GEOFF/%{module}-%{version}.tar.bz2
#Source0:	%{module}-%{version}-%{snap}.tar.bz2
Provides:	perl(Apache::TestConfigParse)
Provides:	perl(Apache::TestConfigPerl)
Requires:	perl-Compress-Zlib
Requires:	perl-Devel-Cover >= 0.48
BuildRequires:	perl-Devel-Cover >= 0.48
BuildRequires:	perl-devel
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Apache::Test is a test toolkit for testing an Apache server with
any configuration. It works with Apache 1.3 and Apache 2.0 and any
of its modules, including mod_perl 1.0 and 2.0. It was originally
developed for testing mod_perl 2.0.

%prep

%setup -q -n %{module}-%{version} 

for i in `find . -type d -name .svn`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}

%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CONTRIBUTORS Changes INSTALL LICENSE README SUPPORT ToDo
%{perl_vendorlib}/Apache
%{perl_vendorlib}/Bundle
%{_mandir}/*/*




%changelog
* Sun Aug 12 2007 Pixel <pixel@mandriva.com> 1.29-3mdv2008.0
+ Revision: 62207
- don't wrongly provide perl(HTTP::Request::Common)


* Sun Mar 11 2007 Oden Eriksson <oeriksson@mandriva.com> 1.29-2mdv2007.1
+ Revision: 141321
- rebuild

* Tue Dec 12 2006 Oden Eriksson <oeriksson@mandriva.com> 1.29-1mdv2007.1
+ Revision: 95362
- 1.29
- rebuild
- Import perl-Apache-Test

* Sat Jun 03 2006 Oden Eriksson <oeriksson@mandriva.com> 1.28-2mdv2007.0
- don't run pointless tests, instead build apache, mod_perl 
  and sit back and watch

* Wed Feb 22 2006 Oden Eriksson <oeriksson@mandriva.com> 1.28-1mdk
- 1.28
- fix deps

* Tue Jan 31 2006 Oden Eriksson <oeriksson@mandriva.com> 1.28-0.r373875.1mdk
- use a recent snap (r373875)

* Wed Nov 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.27-1mdk
- 1.27

* Tue Oct 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.26-2mdk
- BuildRequires fix

* Wed Sep 28 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.26-1mdk
- New release 1.26
- spec cleanup
- better summary
- fix directory ownership
- enable tests

* Sun Jun 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.25-mdk2
- rule out some perl auto requires

* Sun Jun 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.25-1mdk
- 1.25

* Thu May 05 2005 Oden Eriksson <oeriksson@mandriva.com> 1.23-1mdk
- 1.23

* Wed Apr 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.22-1mdk
- 1.22
- use the %%mkrel macro

* Sat Jan 22 2005 Oden Eriksson <oden.eriksson@linux-mandrake.com> 1.20-1mdk
- 1.20
- drop upstream P0

* Sat Jan 15 2005 Oden Eriksson <oden.eriksson@linux-mandrake.com> 1.19-4mdk
- fix deps

* Sat Jan 15 2005 Oden Eriksson <oden.eriksson@linux-mandrake.com> 1.19-3mdk
- fix deps

* Thu Jan 13 2005 Oden Eriksson <oden.eriksson@linux-mandrake.com> 1.19-2mdk
- added P0 to nuke bad regexp (Stas Bekman)

* Wed Jan 12 2005 Oden Eriksson <oden.eriksson@linux-mandrake.com> 1.19-1mdk
- initial mandrake package

